org.apache.cassandra.cql3.statements

## Class IndexTarget

- java.lang.Object
- - org.apache.cassandra.cql3.statements.IndexTarget

    public class IndexTarget
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `IndexTarget.Raw`
`static class` `IndexTarget.Type`

### Field Summary

Fields
`ColumnIdentifier` `column`
`static java.lang.String` `CUSTOM_INDEX_OPTION_NAME`
`static java.lang.String` `INDEX_ENTRIES_OPTION_NAME` The name of the option used to specify that the index is on the collection (map) entries.
`static java.lang.String` `INDEX_KEYS_OPTION_NAME` The name of the option used to specify that the index is on the collection keys.
`boolean` `quoteName`
`static java.lang.String` `TARGET_OPTION_NAME`
`IndexTarget.Type` `type`

### Constructor Summary

Constructors
Constructor and Description
`IndexTarget(ColumnIdentifier column, IndexTarget.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `asCqlString(CFMetaData cfm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TARGET_OPTION_NAME

    public static final java.lang.String TARGET_OPTION_NAME

See Also:
  Constant Field Values

#### CUSTOM_INDEX_OPTION_NAME

    public static final java.lang.String CUSTOM_INDEX_OPTION_NAME

See Also:
  Constant Field Values

#### INDEX_KEYS_OPTION_NAME

    public static final java.lang.String INDEX_KEYS_OPTION_NAME

The name of the option used to specify that the index is on the collection keys.

See Also:
  Constant Field Values

#### INDEX_ENTRIES_OPTION_NAME

    public static final java.lang.String INDEX_ENTRIES_OPTION_NAME

The name of the option used to specify that the index is on the collection (map) entries.

See Also:
  Constant Field Values

#### column

    public final ColumnIdentifier column

#### quoteName

    public final boolean quoteName

#### type

    public final IndexTarget.Type type

### Constructor Detail

#### IndexTarget

    public IndexTarget(ColumnIdentifier column,
                       IndexTarget.Type type)

### Method Detail

#### asCqlString

    public java.lang.String asCqlString(CFMetaData cfm)